Skip to main content

Create a device password

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/device-password

Required permission(s): AccessControl.CredentialCreate

Creates a new device password credential for the specified user.

If the associated password policy has resetCodeEnabled set to true, the password is auto-generated and a password fragment is returned in the response body. If resetCodeEnabled is false, the password must be provided in the request body.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId stringrequired

    Possible values: non-empty

    The external ID of the credential

    policyExtId string

    The external ID of the used policy

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    Default value: active

    The state of the credential

    password string

    The value of the device password credential.

Responses

Device password created successfully

Response Headers
  • Location any

    URL of the created resource

Schema
    passwordFragment string

    A part of the generated password.

Loading...